• La sécurité est notre métier !

    Pour vous garantir des transactions financières absolument sûres, notre application de paiement requiert la mise à niveau de votre navigateur au moyen de l’une des options suivantes :

    Si votre système d’exploitation est antérieur à OS X 10.8, la version la plus récente de Safari ne sera pas prise en charge. Nous vous conseillons d’utiliser la dernière version de Chrome ou de Firefox pour effectuer cette transaction. Le choix du navigateur n’aura aucun effet sur les performances du logiciel Intego que vous avez acheté. 

Trouvez le produit qui vous correspond